# \Thelia\ModelCategory

## Summary

Methods
Properties
Constants
countChild()
getUrl()
countAllProducts()
applyDefaultValues()
__construct()
isModified()
isColumnModified()
getModifiedColumns()
isNew()
setNew()
isDeleted()
setDeleted()
resetModified()
equals()
hashCode()
getVirtualColumns()
hasVirtualColumn()
getVirtualColumn()
setVirtualColumn()
importFrom()
exportTo()
__sleep()
getId()
getParent()
getVisible()
getPosition()
getCreatedAt()
getUpdatedAt()
getVersion()
getVersionCreatedAt()
getVersionCreatedBy()
setId()
setParent()
setVisible()
setPosition()
setCreatedAt()
setUpdatedAt()
setVersion()
setVersionCreatedAt()
setVersionCreatedBy()
hasOnlyDefaultValues()
hydrate()
ensureConsistency()
reload()
delete()
save()
getByName()
getByPosition()
toArray()
setByName()
setByPosition()
fromArray()
buildCriteria()
buildPkeyCriteria()
getPrimaryKey()
setPrimaryKey()
isPrimaryKeyNull()
copyInto()
copy()
initRelation()
clearProductCategories()
resetPartialProductCategories()
initProductCategories()
getProductCategories()
setProductCategories()
countProductCategories()
addProductCategory()
removeProductCategory()
getProductCategoriesJoinProduct()
clearFeatureCategories()
resetPartialFeatureCategories()
initFeatureCategories()
getFeatureCategories()
setFeatureCategories()
countFeatureCategories()
addFeatureCategory()
removeFeatureCategory()
getFeatureCategoriesJoinFeature()
clearAttributeCategories()
resetPartialAttributeCategories()
initAttributeCategories()
getAttributeCategories()
setAttributeCategories()
countAttributeCategories()
addAttributeCategory()
removeAttributeCategory()
getAttributeCategoriesJoinAttribute()
clearContentAssocs()
resetPartialContentAssocs()
initContentAssocs()
getContentAssocs()
setContentAssocs()
countContentAssocs()
addContentAssoc()
removeContentAssoc()
getContentAssocsJoinProduct()
getContentAssocsJoinContent()
clearImages()
resetPartialImages()
initImages()
getImages()
setImages()
countImages()
addImage()
removeImage()
getImagesJoinProduct()
getImagesJoinContent()
getImagesJoinFolder()
clearDocuments()
resetPartialDocuments()
initDocuments()
getDocuments()
setDocuments()
countDocuments()
addDocument()
removeDocument()
getDocumentsJoinProduct()
getDocumentsJoinContent()
getDocumentsJoinFolder()
clearRewritings()
resetPartialRewritings()
initRewritings()
getRewritings()
setRewritings()
countRewritings()
addRewriting()
removeRewriting()
getRewritingsJoinProduct()
getRewritingsJoinFolder()
getRewritingsJoinContent()
clearCategoryI18ns()
resetPartialCategoryI18ns()
initCategoryI18ns()
getCategoryI18ns()
setCategoryI18ns()
countCategoryI18ns()
addCategoryI18n()
removeCategoryI18n()
clearCategoryVersions()
resetPartialCategoryVersions()
initCategoryVersions()
getCategoryVersions()
setCategoryVersions()
countCategoryVersions()
addCategoryVersion()
removeCategoryVersion()
clearProducts()
initProducts()
getProducts()
setProducts()
countProducts()
addProduct()
removeProduct()
clearFeatures()
initFeatures()
getFeatures()
setFeatures()
countFeatures()
addFeature()
removeFeature()
clearAttributes()
initAttributes()
getAttributes()
setAttributes()
countAttributes()
addAttribute()
removeAttribute()
clear()
clearAllReferences()
__toString()
setLocale()
getLocale()
getTranslation()
removeTranslation()
getCurrentTranslation()
getTitle()
setTitle()
getDescription()
setDescription()
getChapo()
setChapo()
getPostscriptum()
setPostscriptum()
enforceVersioning()
isVersioningNecessary()
addVersion()
toVersion()
populateFromVersion()
getLastVersionNumber()
isLastVersion()
getOneVersion()
getAllVersions()
compareVersion()
compareVersions()
getLastVersions()
keepUpdateDateUnchanged()
preSave()
postSave()
preInsert()
postInsert()
preUpdate()
postUpdate()
preDelete()
postDelete()
__call()
No public properties found
TABLE_MAP
log()
doSave()
doInsert()
doUpdate()
doAddProductCategory()
doAddFeatureCategory()
doAddAttributeCategory()
doAddContentAssoc()
doAddImage()
doAddDocument()
doAddRewriting()
doAddCategoryI18n()
doAddCategoryVersion()
doAddProduct()
doAddFeature()
doAddAttribute()
computeDiff()
$new
$deleted
$modifiedColumns
$virtualColumns
$id
$parent
$visible
$position
$created_at
$updated_at
$version
$version_created_at
$version_created_by
$collProductCategories
$collProductCategoriesPartial
$collFeatureCategories
$collFeatureCategoriesPartial
$collAttributeCategories
$collAttributeCategoriesPartial
$collContentAssocs
$collContentAssocsPartial
$collImages
$collImagesPartial
$collDocuments
$collDocumentsPartial
$collRewritings
$collRewritingsPartial
$collCategoryI18ns
$collCategoryI18nsPartial
$collCategoryVersions
$collCategoryVersionsPartial
$collProducts
$collFeatures
$collAttributes
$alreadyInSave
$currentLocale
$currentTranslations
$enforceVersion
$productsScheduledForDeletion
$featuresScheduledForDeletion
$attributesScheduledForDeletion
$productCategoriesScheduledForDeletion
$featureCategoriesScheduledForDeletion
$attributeCategoriesScheduledForDeletion
$contentAssocsScheduledForDeletion
$imagesScheduledForDeletion
$documentsScheduledForDeletion
$rewritingsScheduledForDeletion
$categoryI18nsScheduledForDeletion
$categoryVersionsScheduledForDeletion
N/A
No private methods found
No private properties found
N/A

File
  Model/Category.php
Package
  \Default
Class hierarchy
  \Thelia\Model\Base\Category
  \Thelia\Model\Category

## Tags

None found

## Constants

### TABLE_MAP

    TABLE_MAP

TableMap class name

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

## Properties

### $new

    $new : boolean

attribute to determine if this object has previously been saved.

#### Type

boolean

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $deleted

    $deleted : boolean

attribute to determine whether this object has been deleted.

#### Type

boolean

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $modifiedColumns

    $modifiedColumns : array

The columns that have been modified in current object.

Tracking modified columns allows us to only update modified columns.

#### Type

array

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $virtualColumns

    $virtualColumns : array

The (virtual) columns that are added at runtime The formatters can add supplementary columns based on a resultset

#### Type

array

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $id

    $id : int

The value for the id field.

#### Type

int

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $parent

    $parent : int

The value for the parent field.

#### Type

int

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $visible

    $visible : int

The value for the visible field.

#### Type

int

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $position

    $position : int

The value for the position field.

#### Type

int

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $created_at

    $created_at : string

The value for the created_at field.

#### Type

string

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $updated_at

    $updated_at : string

The value for the updated_at field.

#### Type

string

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $version

    $version : int

The value for the version field.

Note: this column has a database default value of: 0

#### Type

int

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $version_created_at

    $version_created_at : string

The value for the version_created_at field.

#### Type

string

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $version_created_by

    $version_created_by : string

The value for the version_created_by field.

#### Type

string

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $collProductCategories

    $collProductCategories : \Propel\Runtime\Collection\ObjectCollection|\Thelia\Model\ProductCategory[]

#### Type

\Propel\Runtime\Collection\ObjectCollection|\Thelia\Model\ProductCategory[] — Collection to store aggregation of ChildProductCategory objects.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $collProductCategoriesPartial

    $collProductCategoriesPartial

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $collFeatureCategories

    $collFeatureCategories : \Propel\Runtime\Collection\ObjectCollection|\Thelia\Model\FeatureCategory[]

#### Type

\Propel\Runtime\Collection\ObjectCollection|\Thelia\Model\FeatureCategory[] — Collection to store aggregation of ChildFeatureCategory objects.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $collFeatureCategoriesPartial

    $collFeatureCategoriesPartial

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $collAttributeCategories

    $collAttributeCategories : \Propel\Runtime\Collection\ObjectCollection|\Thelia\Model\AttributeCategory[]

#### Type

\Propel\Runtime\Collection\ObjectCollection|\Thelia\Model\AttributeCategory[] — Collection to store aggregation of ChildAttributeCategory objects.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $collAttributeCategoriesPartial

    $collAttributeCategoriesPartial

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $collContentAssocs

    $collContentAssocs : \Propel\Runtime\Collection\ObjectCollection|\Thelia\Model\ContentAssoc[]

#### Type

\Propel\Runtime\Collection\ObjectCollection|\Thelia\Model\ContentAssoc[] — Collection to store aggregation of ChildContentAssoc objects.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $collContentAssocsPartial

    $collContentAssocsPartial

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $collImages

    $collImages : \Propel\Runtime\Collection\ObjectCollection|\Thelia\Model\Image[]

#### Type

\Propel\Runtime\Collection\ObjectCollection|\Thelia\Model\Image[] — Collection to store aggregation of ChildImage objects.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $collImagesPartial

    $collImagesPartial

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $collDocuments

    $collDocuments : \Propel\Runtime\Collection\ObjectCollection|\Thelia\Model\Document[]

#### Type

\Propel\Runtime\Collection\ObjectCollection|\Thelia\Model\Document[] — Collection to store aggregation of ChildDocument objects.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $collDocumentsPartial

    $collDocumentsPartial

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $collRewritings

    $collRewritings : \Propel\Runtime\Collection\ObjectCollection|\Thelia\Model\Rewriting[]

#### Type

\Propel\Runtime\Collection\ObjectCollection|\Thelia\Model\Rewriting[] — Collection to store aggregation of ChildRewriting objects.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $collRewritingsPartial

    $collRewritingsPartial

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $collCategoryI18ns

    $collCategoryI18ns : \Propel\Runtime\Collection\ObjectCollection|\Thelia\Model\CategoryI18n[]

#### Type

\Propel\Runtime\Collection\ObjectCollection|\Thelia\Model\CategoryI18n[] — Collection to store aggregation of ChildCategoryI18n objects.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $collCategoryI18nsPartial

    $collCategoryI18nsPartial

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $collCategoryVersions

    $collCategoryVersions : \Propel\Runtime\Collection\ObjectCollection|\Thelia\Model\CategoryVersion[]

#### Type

\Propel\Runtime\Collection\ObjectCollection|\Thelia\Model\CategoryVersion[] — Collection to store aggregation of ChildCategoryVersion objects.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $collCategoryVersionsPartial

    $collCategoryVersionsPartial

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $collProducts

    $collProducts : \Thelia\Model\Product[]

#### Type

\Thelia\Model\Product[] — Collection to store aggregation of ChildProduct objects.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $collFeatures

    $collFeatures : \Thelia\Model\Feature[]

#### Type

\Thelia\Model\Feature[] — Collection to store aggregation of ChildFeature objects.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $collAttributes

    $collAttributes : \Thelia\Model\Attribute[]

#### Type

\Thelia\Model\Attribute[] — Collection to store aggregation of ChildAttribute objects.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $alreadyInSave

    $alreadyInSave : boolean

Flag to prevent endless save loop, if this object is referenced by another object which falls in this transaction.

#### Type

boolean

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $currentLocale

    $currentLocale : string

Current locale

#### Type

string

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $currentTranslations

    $currentTranslations : \Thelia\Model\Base\array[ChildCategoryI18n]

Current translation objects

#### Type

\Thelia\Model\Base\array[ChildCategoryI18n]

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $enforceVersion

    $enforceVersion : bool

#### Type

bool

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $productsScheduledForDeletion

    $productsScheduledForDeletion : \Propel\Runtime\Collection\ObjectCollection

An array of objects scheduled for deletion.

#### Type

\Propel\Runtime\Collection\ObjectCollection

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $featuresScheduledForDeletion

    $featuresScheduledForDeletion : \Propel\Runtime\Collection\ObjectCollection

An array of objects scheduled for deletion.

#### Type

\Propel\Runtime\Collection\ObjectCollection

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $attributesScheduledForDeletion

    $attributesScheduledForDeletion : \Propel\Runtime\Collection\ObjectCollection

An array of objects scheduled for deletion.

#### Type

\Propel\Runtime\Collection\ObjectCollection

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $productCategoriesScheduledForDeletion

    $productCategoriesScheduledForDeletion : \Propel\Runtime\Collection\ObjectCollection

An array of objects scheduled for deletion.

#### Type

\Propel\Runtime\Collection\ObjectCollection

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $featureCategoriesScheduledForDeletion

    $featureCategoriesScheduledForDeletion : \Propel\Runtime\Collection\ObjectCollection

An array of objects scheduled for deletion.

#### Type

\Propel\Runtime\Collection\ObjectCollection

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $attributeCategoriesScheduledForDeletion

    $attributeCategoriesScheduledForDeletion : \Propel\Runtime\Collection\ObjectCollection

An array of objects scheduled for deletion.

#### Type

\Propel\Runtime\Collection\ObjectCollection

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $contentAssocsScheduledForDeletion

    $contentAssocsScheduledForDeletion : \Propel\Runtime\Collection\ObjectCollection

An array of objects scheduled for deletion.

#### Type

\Propel\Runtime\Collection\ObjectCollection

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $imagesScheduledForDeletion

    $imagesScheduledForDeletion : \Propel\Runtime\Collection\ObjectCollection

An array of objects scheduled for deletion.

#### Type

\Propel\Runtime\Collection\ObjectCollection

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $documentsScheduledForDeletion

    $documentsScheduledForDeletion : \Propel\Runtime\Collection\ObjectCollection

An array of objects scheduled for deletion.

#### Type

\Propel\Runtime\Collection\ObjectCollection

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $rewritingsScheduledForDeletion

    $rewritingsScheduledForDeletion : \Propel\Runtime\Collection\ObjectCollection

An array of objects scheduled for deletion.

#### Type

\Propel\Runtime\Collection\ObjectCollection

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $categoryI18nsScheduledForDeletion

    $categoryI18nsScheduledForDeletion : \Propel\Runtime\Collection\ObjectCollection

An array of objects scheduled for deletion.

#### Type

\Propel\Runtime\Collection\ObjectCollection

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### $categoryVersionsScheduledForDeletion

    $categoryVersionsScheduledForDeletion : \Propel\Runtime\Collection\ObjectCollection

An array of objects scheduled for deletion.

#### Type

\Propel\Runtime\Collection\ObjectCollection

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

## Methods

### countChild()

    countChild() : int

#### Returns

int —

number of child for the current category

#

## Tags

None found

### getUrl()

    getUrl()

#

## Tags

None found

### countAllProducts()

    countAllProducts() : int

count all products for current category and sub categories

#### Returns

int

#

## Tags

None found

### applyDefaultValues()

    applyDefaultValues()

Applies default values to this object.

This method should be called from the object's constructor (or equivalent initialization method).

#

Inherited from
  \Thelia\Model\Base\Category
See also

## Tags

None found

### __construct()

    __construct()

Initializes internal state of Thelia\Model\Base\Category object.

#

Inherited from
  \Thelia\Model\Base\Category
See also

## Tags

None found

### isModified()

    isModified() : boolean

Returns whether the object has been modified.

#### Returns

boolean —

True if the object has been modified.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### isColumnModified()

    isColumnModified(string $col) : boolean

Has specified column been modified?

#### Parameters

string | $col | column fully qualified name (TableMap::TYPE_COLNAME), e.g. Book::AUTHOR_ID

#### Returns

boolean —

True if $col has been modified.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getModifiedColumns()

    getModifiedColumns() : array

Get the columns that have been modified in this object.

#### Returns

array —

A unique list of the modified column names for this object.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### isNew()

    isNew() : \Thelia\Model\Base\true,

Returns whether the object has ever been saved. This will be false, if the object was retrieved from storage or was created and then saved.

#### Returns

\Thelia\Model\Base\true, —

if the object has never been persisted.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setNew()

    setNew(boolean $b)

Setter for the isNew attribute. This method will be called by Propel-generated children and objects.

#### Parameters

boolean | $b | the state of the object.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### isDeleted()

    isDeleted() : boolean

Whether this object has been deleted.

#### Returns

boolean —

The deleted state of this object.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setDeleted()

    setDeleted(boolean $b) : void

Specify whether this object has been deleted.

#### Parameters

boolean | $b | The deleted state of this object.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### resetModified()

    resetModified(string $col) : void

Sets the modified state for the object to be false.

#### Parameters

string | $col | If supplied, only the specified column is reset.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### equals()

    equals( $obj) : \Thelia\Model\Base\Whether

Compares this with another <code>Category</code> instance. If <code>obj</code> is an instance of <code>Category</code>, delegates to <code>equals(Category)</code>. Otherwise, returns <code>false</code>.

#### Parameters

| $obj |

#### Returns

\Thelia\Model\Base\Whether —

equal to the object specified.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### hashCode()

    hashCode() : int

If the primary key is not null, return the hashcode of the primary key. Otherwise, return the hash code of the object.

#### Returns

int —

Hashcode

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getVirtualColumns()

    getVirtualColumns() : array

Get the associative array of the virtual columns in this object

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### hasVirtualColumn()

    hasVirtualColumn( $name) : boolean

Checks the existence of a virtual column in this object

#### Parameters

| $name |

#### Returns

boolean

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getVirtualColumn()

    getVirtualColumn( $name) : mixed

Get the value of a virtual column in this object

#### Parameters

| $name |

#### Returns

mixed

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setVirtualColumn()

    setVirtualColumn(string $name, mixed $value) : \Thelia\Model\Base\Category

Set the value of a virtual column in this object

#### Parameters

string | $name | The virtual column name
mixed | $value | The value to give to the virtual column

#### Returns

\Thelia\Model\Base\Category —

The current object, for fluid interface

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### importFrom()

    importFrom(mixed $parser, string $data) : \Thelia\Model\Base\Category

Populate the current object from a string, using a given parser format <code> $book = new Book(); $book->importFrom('JSON', '{"Id":9012,"Title":"Don Juan","ISBN":"0140422161","Price":12.99,"PublisherId":1234,"AuthorId":5678}'); </code>

#### Parameters

mixed | $parser | A AbstractParser instance, or a format name ('XML', 'YAML', 'JSON', 'CSV')
string | $data | The source data to import from

#### Returns

\Thelia\Model\Base\Category —

The current object, for fluid interface

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### exportTo()

    exportTo(mixed $parser, boolean $includeLazyLoadColumns) : string

Export the current object properties to a string, using a given parser format <code> $book = BookQuery::create()->findPk(9012); echo $book->exportTo('JSON'); => {"Id":9012,"Title":"Don Juan","ISBN":"0140422161","Price":12.99,"PublisherId":1234,"AuthorId":5678}'); </code>

#### Parameters

mixed | $parser | A AbstractParser instance, or a format name ('XML', 'YAML', 'JSON', 'CSV')
boolean | $includeLazyLoadColumns | (optional) Whether to include lazy load(ed) columns. Defaults to TRUE.

#### Returns

string —

The exported data

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### __sleep()

    __sleep()

Clean up internal collections prior to serializing Avoids recursive loops that turn into segmentation faults when serializing

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getId()

    getId() : int

Get the [id] column value.

#### Returns

int

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getParent()

    getParent() : int

Get the [parent] column value.

#### Returns

int

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getVisible()

    getVisible() : int

Get the [visible] column value.

#### Returns

int

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getPosition()

    getPosition() : int

Get the [position] column value.

#### Returns

int

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getCreatedAt()

    getCreatedAt(string $format) : mixed

Get the [optionally formatted] temporal [created_at] column value.

#### Parameters

string | $format | The date/time format string (either date()-style or strftime()-style). If format is NULL, then the raw \DateTime object will be returned.

#### Throws

\Propel\Runtime\Exception\PropelException
  - if unable to parse/validate the date/time value.

#### Returns

mixed —

Formatted date/time value as string or \DateTime object (if format is NULL), NULL if column is NULL, and 0 if column value is 0000-00-00 00:00:00

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getUpdatedAt()

    getUpdatedAt(string $format) : mixed

Get the [optionally formatted] temporal [updated_at] column value.

#### Parameters

string | $format | The date/time format string (either date()-style or strftime()-style). If format is NULL, then the raw \DateTime object will be returned.

#### Throws

\Propel\Runtime\Exception\PropelException
  - if unable to parse/validate the date/time value.

#### Returns

mixed —

Formatted date/time value as string or \DateTime object (if format is NULL), NULL if column is NULL, and 0 if column value is 0000-00-00 00:00:00

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getVersion()

    getVersion() : int

Get the [version] column value.

#### Returns

int

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getVersionCreatedAt()

    getVersionCreatedAt(string $format) : mixed

Get the [optionally formatted] temporal [version_created_at] column value.

#### Parameters

string | $format | The date/time format string (either date()-style or strftime()-style). If format is NULL, then the raw \DateTime object will be returned.

#### Throws

\Propel\Runtime\Exception\PropelException
  - if unable to parse/validate the date/time value.

#### Returns

mixed —

Formatted date/time value as string or \DateTime object (if format is NULL), NULL if column is NULL, and 0 if column value is 0000-00-00 00:00:00

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getVersionCreatedBy()

    getVersionCreatedBy() : string

Get the [version_created_by] column value.

#### Returns

string

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setId()

    setId(int $v) : \Thelia\Model\Category

Set the value of [id] column.

#### Parameters

int | $v | new value

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setParent()

    setParent(int $v) : \Thelia\Model\Category

Set the value of [parent] column.

#### Parameters

int | $v | new value

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setVisible()

    setVisible(int $v) : \Thelia\Model\Category

Set the value of [visible] column.

#### Parameters

int | $v | new value

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setPosition()

    setPosition(int $v) : \Thelia\Model\Category

Set the value of [position] column.

#### Parameters

int | $v | new value

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setCreatedAt()

    setCreatedAt(mixed $v) : \Thelia\Model\Category

Sets the value of [created_at] column to a normalized version of the date/time value specified.

#### Parameters

mixed | $v | string, integer (timestamp), or \DateTime value. Empty strings are treated as NULL.

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setUpdatedAt()

    setUpdatedAt(mixed $v) : \Thelia\Model\Category

Sets the value of [updated_at] column to a normalized version of the date/time value specified.

#### Parameters

mixed | $v | string, integer (timestamp), or \DateTime value. Empty strings are treated as NULL.

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setVersion()

    setVersion(int $v) : \Thelia\Model\Category

Set the value of [version] column.

#### Parameters

int | $v | new value

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setVersionCreatedAt()

    setVersionCreatedAt(mixed $v) : \Thelia\Model\Category

Sets the value of [version_created_at] column to a normalized version of the date/time value specified.

#### Parameters

mixed | $v | string, integer (timestamp), or \DateTime value. Empty strings are treated as NULL.

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setVersionCreatedBy()

    setVersionCreatedBy(string $v) : \Thelia\Model\Category

Set the value of [version_created_by] column.

#### Parameters

string | $v | new value

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### hasOnlyDefaultValues()

    hasOnlyDefaultValues() : boolean

Indicates whether the columns in this object are only set to default values.

This method can be used in conjunction with isModified() to indicate whether an object is both modified and has some values set which are non-default.

#### Returns

boolean —

Whether the columns in this object are only been set with default values.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### hydrate()

    hydrate(array $row, int $startcol, boolean $rehydrate, string $indexType) : int

Hydrates (populates) the object variables with values from the database resultset.

An offset (0-based "start column") is specified so that objects can be hydrated with a subset of the columns in the resultset rows. This is needed, for example, for results of JOIN queries where the resultset row includes columns from two or more tables.

#### Parameters

array | $row | The row returned by DataFetcher->fetch().
int | $startcol | 0-based offset column which indicates which restultset column to start with.
boolean | $rehydrate | Whether this object is being re-hydrated from the database.
string | $indexType | The index type of $row. Mostly DataFetcher->getIndexType(). One of the class type constants TableMap::TYPE_PHPNAME, TableMap::TYPE_STUDLYPHPNAME TableMap::TYPE_COLNAME, TableMap::TYPE_FIELDNAME, TableMap::TYPE_NUM.

#### Throws

\Propel\Runtime\Exception\PropelException
  - Any caught Exception will be rewrapped as a PropelException.

#### Returns

int —

next starting column

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### ensureConsistency()

    ensureConsistency()

Checks and repairs the internal consistency of the object.

This method is executed after an already-instantiated object is re-hydrated from the database. It exists to check any foreign keys to make sure that the objects related to the current object are correct based on foreign key.

You can override this method in the stub class, but you should always invoke the base method from the overridden method (i.e. parent::ensureConsistency()), in case your model changes.

#### Throws

\Propel\Runtime\Exception\PropelException

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### reload()

    reload(boolean $deep, \Propel\Runtime\Connection\ConnectionInterface $con) : void

Reloads this object from datastore based on primary key and (optionally) resets all associated objects.

This will only work if the object has been saved and has a valid primary key set.

#### Parameters

boolean | $deep | (optional) Whether to also de-associated any related objects.
\Propel\Runtime\Connection\ConnectionInterface | $con | (optional) The ConnectionInterface connection to use.

#### Throws

\Propel\Runtime\Exception\PropelException
  - if this object is deleted, unsaved or doesn't have pk match in db

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : void

Removes this object from datastore and sets delete attribute.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Throws

\Propel\Runtime\Exception\PropelException

#

Inherited from
  \Thelia\Model\Base\Category
See also

## Tags

None found

### save()

    save(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Persists this object to the database.

If the object is new, it inserts it; otherwise an update is performed. All modified related objects will also be persisted in the doSave() method. This method wraps all precipitate database operations in a single transaction.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

int —

The number of rows affected by this insert/update and any referring fk objects' save() operations.

#

Inherited from
  \Thelia\Model\Base\Category
See also

## Tags

None found

### getByName()

    getByName(string $name, string $type) : mixed

Retrieves a field from the object by name passed in as a string.

#### Parameters

string | $name | name
string | $type | The type of fieldname the $name is of: one of the class type constants TableMap::TYPE_PHPNAME, TableMap::TYPE_STUDLYPHPNAME TableMap::TYPE_COLNAME, TableMap::TYPE_FIELDNAME, TableMap::TYPE_NUM. Defaults to TableMap::TYPE_PHPNAME.

#### Returns

mixed —

Value of field.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getByPosition()

    getByPosition(int $pos) : mixed

Retrieves a field from the object by Position as specified in the xml schema.

Zero-based.

#### Parameters

int | $pos | position in xml schema

#### Returns

mixed —

Value of field at $pos

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### toArray()

    toArray(string $keyType, boolean $includeLazyLoadColumns, array $alreadyDumpedObjects, boolean $includeForeignObjects) : array

Exports the object as an array.

You can specify the key type of the array by passing one of the class type constants.

#### Parameters

string | $keyType | (optional) One of the class type constants TableMap::TYPE_PHPNAME, TableMap::TYPE_STUDLYPHPNAME, TableMap::TYPE_COLNAME, TableMap::TYPE_FIELDNAME, TableMap::TYPE_NUM. Defaults to TableMap::TYPE_PHPNAME.
boolean | $includeLazyLoadColumns | (optional) Whether to include lazy loaded columns. Defaults to TRUE.
array | $alreadyDumpedObjects | List of objects to skip to avoid recursion
boolean | $includeForeignObjects | (optional) Whether to include hydrated related objects. Default to FALSE.

#### Returns

array —

an associative array containing the field names (as keys) and field values

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setByName()

    setByName(string $name, mixed $value, string $type) : void

Sets a field from the object by name passed in as a string.

#### Parameters

string | $name |
mixed | $value | field value
string | $type | The type of fieldname the $name is of: one of the class type constants TableMap::TYPE_PHPNAME, TableMap::TYPE_STUDLYPHPNAME TableMap::TYPE_COLNAME, TableMap::TYPE_FIELDNAME, TableMap::TYPE_NUM. Defaults to TableMap::TYPE_PHPNAME.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setByPosition()

    setByPosition(int $pos, mixed $value) : void

Sets a field from the object by Position as specified in the xml schema.

Zero-based.

#### Parameters

int | $pos | position in xml schema
mixed | $value | field value

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### fromArray()

    fromArray(array $arr, string $keyType) : void

Populates the object using an array.

This is particularly useful when populating an object from one of the request arrays (e.g. $_POST). This method goes through the column names, checking to see whether a matching key exists in populated array. If so the setByName() method is called for that column.

You can specify the key type of the array by additionally passing one of the class type constants TableMap::TYPE_PHPNAME, TableMap::TYPE_STUDLYPHPNAME, TableMap::TYPE_COLNAME, TableMap::TYPE_FIELDNAME, TableMap::TYPE_NUM. The default key type is the column's TableMap::TYPE_PHPNAME.

#### Parameters

array | $arr | An array to populate the object from.
string | $keyType | The type of keys the array uses.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### buildCriteria()

    buildCriteria() : \Propel\Runtime\ActiveQuery\Criteria

Build a Criteria object containing the values of all modified columns in this object.

#### Returns

\Propel\Runtime\ActiveQuery\Criteria —

The Criteria object containing all modified values.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### buildPkeyCriteria()

    buildPkeyCriteria() : \Propel\Runtime\ActiveQuery\Criteria

Builds a Criteria object containing the primary key for this object.

Unlike buildCriteria() this method includes the primary key values regardless of whether or not they have been modified.

#### Returns

\Propel\Runtime\ActiveQuery\Criteria —

The Criteria object containing value(s) for primary key(s).

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getPrimaryKey()

    getPrimaryKey() : int

Returns the primary key for this object (row).

#### Returns

int

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setPrimaryKey()

    setPrimaryKey(int $key) : void

Generic method to set the primary key (id column).

#### Parameters

int | $key | Primary key.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### isPrimaryKeyNull()

    isPrimaryKeyNull() : boolean

Returns true if the primary key for this object is null.

#### Returns

boolean

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### copyInto()

    copyInto(object $copyObj, boolean $deepCopy, boolean $makeNew)

Sets contents of passed object to values from current object.

If desired, this method can also make copies of all associated (fkey referrers) objects.

#### Parameters

object | $copyObj | An object of \Thelia\Model\Category (or compatible) type.
boolean | $deepCopy | Whether to also copy all rows that refer (by fkey) to the current row.
boolean | $makeNew | Whether to reset autoincrement PKs and make the object new.

#### Throws

\Propel\Runtime\Exception\PropelException

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### copy()

    copy(boolean $deepCopy) : \Thelia\Model\Category

Makes a copy of this object that will be inserted as a new row in table when saved.

It creates a new object filling in the simple attributes, but skipping any primary keys that are defined for the table.

If desired, this method can also make copies of all associated (fkey referrers) objects.

#### Parameters

boolean | $deepCopy | Whether to also copy all rows that refer (by fkey) to the current row.

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

\Thelia\Model\Category —

Clone of current object.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### initRelation()

    initRelation(string $relationName) : void

Initializes a collection based on the name of a relation.

Avoids crafting an 'init[$relationName]s' method name that wouldn't work when StandardEnglishPluralizer is used.

#### Parameters

string | $relationName | The name of the relation to initialize

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### clearProductCategories()

    clearProductCategories() : void

Clears out the collProductCategories collection

This does not modify the database; however, it will remove any associated objects, causing them to be refetched by subsequent calls to accessor method.

#

Inherited from
  \Thelia\Model\Base\Category
See also

## Tags

None found

### resetPartialProductCategories()

    resetPartialProductCategories( $v)

Reset is the collProductCategories collection loaded partially.

#### Parameters

| $v |

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### initProductCategories()

    initProductCategories(boolean $overrideExisting) : void

Initializes the collProductCategories collection.

By default this just sets the collProductCategories collection to an empty array (like clearcollProductCategories()); however, you may wish to override this method in your stub class to provide setting appropriate to your application -- for example, setting the initial array to the values stored in database.

#### Parameters

boolean | $overrideExisting | If set to true, the method call initializes the collection even if it is not empty

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getProductCategories()

    getProductCategories(\Propel\Runtime\ActiveQuery\Criteria $criteria, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\Collection|\Thelia\Model\ProductCategory[]

Gets an array of ChildProductCategory objects which contain a foreign key that references this object.

If the $criteria is not null, it is used to always fetch the results from the database. Otherwise the results are fetched from the database the first time, then cached. Next time the same method is called without $criteria, the cached collection is returned. If this ChildCategory is new, it will return an empty collection or the current collection; the criteria is ignored on a new object.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | optional Criteria object to narrow the query
\Propel\Runtime\Connection\ConnectionInterface | $con | optional connection object

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

\Propel\Runtime\Collection\Collection|\Thelia\Model\ProductCategory[] —

List of ChildProductCategory objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setProductCategories()

    setProductCategories(\Propel\Runtime\Collection\Collection $productCategories, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Category

Sets a collection of ProductCategory objects related by a one-to-many relationship to the current object.

It will also schedule objects for deletion based on a diff between old objects (aka persisted) and new objects from the given Propel collection.

#### Parameters

\Propel\Runtime\Collection\Collection | $productCategories | A Propel collection.
\Propel\Runtime\Connection\ConnectionInterface | $con | Optional connection object

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### countProductCategories()

    countProductCategories(\Propel\Runtime\ActiveQuery\Criteria $criteria, boolean $distinct, \Propel\Runtime\Connection\ConnectionInterface $con) : int

Returns the number of related ProductCategory objects.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria |
boolean | $distinct |
\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

int —

Count of related ProductCategory objects.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### addProductCategory()

    addProductCategory(\Thelia\Model\ProductCategory $l) : \Thelia\Model\Category

Method called to associate a ChildProductCategory object to this object through the ChildProductCategory foreign key attribute.

#### Parameters

\Thelia\Model\ProductCategory | $l | ChildProductCategory

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### removeProductCategory()

    removeProductCategory(\Thelia\Model\Base\ProductCategory $productCategory) : \Thelia\Model\Category

#### Parameters

\Thelia\Model\Base\ProductCategory | $productCategory | The productCategory object to remove.

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getProductCategoriesJoinProduct()

    getProductCategoriesJoinProduct(\Propel\Runtime\ActiveQuery\Criteria $criteria, \Propel\Runtime\Connection\ConnectionInterface $con, string $joinBehavior) : \Propel\Runtime\Collection\Collection|\Thelia\Model\ProductCategory[]

If this collection has already been initialized with an identical criteria, it returns the collection.

Otherwise if this Category is new, it will return an empty collection; or if this Category has previously been saved, it will retrieve related ProductCategories from storage.

This method is protected by default in order to keep the public api reasonable. You can provide public methods for those you actually need in Category.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | optional Criteria object to narrow the query
\Propel\Runtime\Connection\ConnectionInterface | $con | optional connection object
string | $joinBehavior | optional join type to use (defaults to Criteria::LEFT_JOIN)

#### Returns

\Propel\Runtime\Collection\Collection|\Thelia\Model\ProductCategory[] —

List of ChildProductCategory objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### clearFeatureCategories()

    clearFeatureCategories() : void

Clears out the collFeatureCategories collection

This does not modify the database; however, it will remove any associated objects, causing them to be refetched by subsequent calls to accessor method.

#

Inherited from
  \Thelia\Model\Base\Category
See also

## Tags

None found

### resetPartialFeatureCategories()

    resetPartialFeatureCategories( $v)

Reset is the collFeatureCategories collection loaded partially.

#### Parameters

| $v |

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### initFeatureCategories()

    initFeatureCategories(boolean $overrideExisting) : void

Initializes the collFeatureCategories collection.

By default this just sets the collFeatureCategories collection to an empty array (like clearcollFeatureCategories()); however, you may wish to override this method in your stub class to provide setting appropriate to your application -- for example, setting the initial array to the values stored in database.

#### Parameters

boolean | $overrideExisting | If set to true, the method call initializes the collection even if it is not empty

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getFeatureCategories()

    getFeatureCategories(\Propel\Runtime\ActiveQuery\Criteria $criteria, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\Collection|\Thelia\Model\FeatureCategory[]

Gets an array of ChildFeatureCategory objects which contain a foreign key that references this object.

If the $criteria is not null, it is used to always fetch the results from the database. Otherwise the results are fetched from the database the first time, then cached. Next time the same method is called without $criteria, the cached collection is returned. If this ChildCategory is new, it will return an empty collection or the current collection; the criteria is ignored on a new object.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | optional Criteria object to narrow the query
\Propel\Runtime\Connection\ConnectionInterface | $con | optional connection object

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

\Propel\Runtime\Collection\Collection|\Thelia\Model\FeatureCategory[] —

List of ChildFeatureCategory objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setFeatureCategories()

    setFeatureCategories(\Propel\Runtime\Collection\Collection $featureCategories, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Category

Sets a collection of FeatureCategory objects related by a one-to-many relationship to the current object.

It will also schedule objects for deletion based on a diff between old objects (aka persisted) and new objects from the given Propel collection.

#### Parameters

\Propel\Runtime\Collection\Collection | $featureCategories | A Propel collection.
\Propel\Runtime\Connection\ConnectionInterface | $con | Optional connection object

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### countFeatureCategories()

    countFeatureCategories(\Propel\Runtime\ActiveQuery\Criteria $criteria, boolean $distinct, \Propel\Runtime\Connection\ConnectionInterface $con) : int

Returns the number of related FeatureCategory objects.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria |
boolean | $distinct |
\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

int —

Count of related FeatureCategory objects.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### addFeatureCategory()

    addFeatureCategory(\Thelia\Model\FeatureCategory $l) : \Thelia\Model\Category

Method called to associate a ChildFeatureCategory object to this object through the ChildFeatureCategory foreign key attribute.

#### Parameters

\Thelia\Model\FeatureCategory | $l | ChildFeatureCategory

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### removeFeatureCategory()

    removeFeatureCategory(\Thelia\Model\Base\FeatureCategory $featureCategory) : \Thelia\Model\Category

#### Parameters

\Thelia\Model\Base\FeatureCategory | $featureCategory | The featureCategory object to remove.

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getFeatureCategoriesJoinFeature()

    getFeatureCategoriesJoinFeature(\Propel\Runtime\ActiveQuery\Criteria $criteria, \Propel\Runtime\Connection\ConnectionInterface $con, string $joinBehavior) : \Propel\Runtime\Collection\Collection|\Thelia\Model\FeatureCategory[]

If this collection has already been initialized with an identical criteria, it returns the collection.

Otherwise if this Category is new, it will return an empty collection; or if this Category has previously been saved, it will retrieve related FeatureCategories from storage.

This method is protected by default in order to keep the public api reasonable. You can provide public methods for those you actually need in Category.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | optional Criteria object to narrow the query
\Propel\Runtime\Connection\ConnectionInterface | $con | optional connection object
string | $joinBehavior | optional join type to use (defaults to Criteria::LEFT_JOIN)

#### Returns

\Propel\Runtime\Collection\Collection|\Thelia\Model\FeatureCategory[] —

List of ChildFeatureCategory objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### clearAttributeCategories()

    clearAttributeCategories() : void

Clears out the collAttributeCategories collection

This does not modify the database; however, it will remove any associated objects, causing them to be refetched by subsequent calls to accessor method.

#

Inherited from
  \Thelia\Model\Base\Category
See also

## Tags

None found

### resetPartialAttributeCategories()

    resetPartialAttributeCategories( $v)

Reset is the collAttributeCategories collection loaded partially.

#### Parameters

| $v |

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### initAttributeCategories()

    initAttributeCategories(boolean $overrideExisting) : void

Initializes the collAttributeCategories collection.

By default this just sets the collAttributeCategories collection to an empty array (like clearcollAttributeCategories()); however, you may wish to override this method in your stub class to provide setting appropriate to your application -- for example, setting the initial array to the values stored in database.

#### Parameters

boolean | $overrideExisting | If set to true, the method call initializes the collection even if it is not empty

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getAttributeCategories()

    getAttributeCategories(\Propel\Runtime\ActiveQuery\Criteria $criteria, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\Collection|\Thelia\Model\AttributeCategory[]

Gets an array of ChildAttributeCategory objects which contain a foreign key that references this object.

If the $criteria is not null, it is used to always fetch the results from the database. Otherwise the results are fetched from the database the first time, then cached. Next time the same method is called without $criteria, the cached collection is returned. If this ChildCategory is new, it will return an empty collection or the current collection; the criteria is ignored on a new object.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | optional Criteria object to narrow the query
\Propel\Runtime\Connection\ConnectionInterface | $con | optional connection object

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

\Propel\Runtime\Collection\Collection|\Thelia\Model\AttributeCategory[] —

List of ChildAttributeCategory objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setAttributeCategories()

    setAttributeCategories(\Propel\Runtime\Collection\Collection $attributeCategories, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Category

Sets a collection of AttributeCategory objects related by a one-to-many relationship to the current object.

It will also schedule objects for deletion based on a diff between old objects (aka persisted) and new objects from the given Propel collection.

#### Parameters

\Propel\Runtime\Collection\Collection | $attributeCategories | A Propel collection.
\Propel\Runtime\Connection\ConnectionInterface | $con | Optional connection object

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### countAttributeCategories()

    countAttributeCategories(\Propel\Runtime\ActiveQuery\Criteria $criteria, boolean $distinct, \Propel\Runtime\Connection\ConnectionInterface $con) : int

Returns the number of related AttributeCategory objects.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria |
boolean | $distinct |
\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

int —

Count of related AttributeCategory objects.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### addAttributeCategory()

    addAttributeCategory(\Thelia\Model\AttributeCategory $l) : \Thelia\Model\Category

Method called to associate a ChildAttributeCategory object to this object through the ChildAttributeCategory foreign key attribute.

#### Parameters

\Thelia\Model\AttributeCategory | $l | ChildAttributeCategory

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### removeAttributeCategory()

    removeAttributeCategory(\Thelia\Model\Base\AttributeCategory $attributeCategory) : \Thelia\Model\Category

#### Parameters

\Thelia\Model\Base\AttributeCategory | $attributeCategory | The attributeCategory object to remove.

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getAttributeCategoriesJoinAttribute()

    getAttributeCategoriesJoinAttribute(\Propel\Runtime\ActiveQuery\Criteria $criteria, \Propel\Runtime\Connection\ConnectionInterface $con, string $joinBehavior) : \Propel\Runtime\Collection\Collection|\Thelia\Model\AttributeCategory[]

If this collection has already been initialized with an identical criteria, it returns the collection.

Otherwise if this Category is new, it will return an empty collection; or if this Category has previously been saved, it will retrieve related AttributeCategories from storage.

This method is protected by default in order to keep the public api reasonable. You can provide public methods for those you actually need in Category.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | optional Criteria object to narrow the query
\Propel\Runtime\Connection\ConnectionInterface | $con | optional connection object
string | $joinBehavior | optional join type to use (defaults to Criteria::LEFT_JOIN)

#### Returns

\Propel\Runtime\Collection\Collection|\Thelia\Model\AttributeCategory[] —

List of ChildAttributeCategory objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### clearContentAssocs()

    clearContentAssocs() : void

Clears out the collContentAssocs collection

This does not modify the database; however, it will remove any associated objects, causing them to be refetched by subsequent calls to accessor method.

#

Inherited from
  \Thelia\Model\Base\Category
See also

## Tags

None found

### resetPartialContentAssocs()

    resetPartialContentAssocs( $v)

Reset is the collContentAssocs collection loaded partially.

#### Parameters

| $v |

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### initContentAssocs()

    initContentAssocs(boolean $overrideExisting) : void

Initializes the collContentAssocs collection.

By default this just sets the collContentAssocs collection to an empty array (like clearcollContentAssocs()); however, you may wish to override this method in your stub class to provide setting appropriate to your application -- for example, setting the initial array to the values stored in database.

#### Parameters

boolean | $overrideExisting | If set to true, the method call initializes the collection even if it is not empty

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getContentAssocs()

    getContentAssocs(\Propel\Runtime\ActiveQuery\Criteria $criteria, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\Collection|\Thelia\Model\ContentAssoc[]

Gets an array of ChildContentAssoc objects which contain a foreign key that references this object.

If the $criteria is not null, it is used to always fetch the results from the database. Otherwise the results are fetched from the database the first time, then cached. Next time the same method is called without $criteria, the cached collection is returned. If this ChildCategory is new, it will return an empty collection or the current collection; the criteria is ignored on a new object.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | optional Criteria object to narrow the query
\Propel\Runtime\Connection\ConnectionInterface | $con | optional connection object

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

\Propel\Runtime\Collection\Collection|\Thelia\Model\ContentAssoc[] —

List of ChildContentAssoc objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setContentAssocs()

    setContentAssocs(\Propel\Runtime\Collection\Collection $contentAssocs, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Category

Sets a collection of ContentAssoc objects related by a one-to-many relationship to the current object.

It will also schedule objects for deletion based on a diff between old objects (aka persisted) and new objects from the given Propel collection.

#### Parameters

\Propel\Runtime\Collection\Collection | $contentAssocs | A Propel collection.
\Propel\Runtime\Connection\ConnectionInterface | $con | Optional connection object

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### countContentAssocs()

    countContentAssocs(\Propel\Runtime\ActiveQuery\Criteria $criteria, boolean $distinct, \Propel\Runtime\Connection\ConnectionInterface $con) : int

Returns the number of related ContentAssoc objects.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria |
boolean | $distinct |
\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

int —

Count of related ContentAssoc objects.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### addContentAssoc()

    addContentAssoc(\Thelia\Model\ContentAssoc $l) : \Thelia\Model\Category

Method called to associate a ChildContentAssoc object to this object through the ChildContentAssoc foreign key attribute.

#### Parameters

\Thelia\Model\ContentAssoc | $l | ChildContentAssoc

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### removeContentAssoc()

    removeContentAssoc(\Thelia\Model\Base\ContentAssoc $contentAssoc) : \Thelia\Model\Category

#### Parameters

\Thelia\Model\Base\ContentAssoc | $contentAssoc | The contentAssoc object to remove.

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getContentAssocsJoinProduct()

    getContentAssocsJoinProduct(\Propel\Runtime\ActiveQuery\Criteria $criteria, \Propel\Runtime\Connection\ConnectionInterface $con, string $joinBehavior) : \Propel\Runtime\Collection\Collection|\Thelia\Model\ContentAssoc[]

If this collection has already been initialized with an identical criteria, it returns the collection.

Otherwise if this Category is new, it will return an empty collection; or if this Category has previously been saved, it will retrieve related ContentAssocs from storage.

This method is protected by default in order to keep the public api reasonable. You can provide public methods for those you actually need in Category.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | optional Criteria object to narrow the query
\Propel\Runtime\Connection\ConnectionInterface | $con | optional connection object
string | $joinBehavior | optional join type to use (defaults to Criteria::LEFT_JOIN)

#### Returns

\Propel\Runtime\Collection\Collection|\Thelia\Model\ContentAssoc[] —

List of ChildContentAssoc objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getContentAssocsJoinContent()

    getContentAssocsJoinContent(\Propel\Runtime\ActiveQuery\Criteria $criteria, \Propel\Runtime\Connection\ConnectionInterface $con, string $joinBehavior) : \Propel\Runtime\Collection\Collection|\Thelia\Model\ContentAssoc[]

If this collection has already been initialized with an identical criteria, it returns the collection.

Otherwise if this Category is new, it will return an empty collection; or if this Category has previously been saved, it will retrieve related ContentAssocs from storage.

This method is protected by default in order to keep the public api reasonable. You can provide public methods for those you actually need in Category.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | optional Criteria object to narrow the query
\Propel\Runtime\Connection\ConnectionInterface | $con | optional connection object
string | $joinBehavior | optional join type to use (defaults to Criteria::LEFT_JOIN)

#### Returns

\Propel\Runtime\Collection\Collection|\Thelia\Model\ContentAssoc[] —

List of ChildContentAssoc objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### clearImages()

    clearImages() : void

Clears out the collImages collection

This does not modify the database; however, it will remove any associated objects, causing them to be refetched by subsequent calls to accessor method.

#

Inherited from
  \Thelia\Model\Base\Category
See also

## Tags

None found

### resetPartialImages()

    resetPartialImages( $v)

Reset is the collImages collection loaded partially.

#### Parameters

| $v |

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### initImages()

    initImages(boolean $overrideExisting) : void

Initializes the collImages collection.

By default this just sets the collImages collection to an empty array (like clearcollImages()); however, you may wish to override this method in your stub class to provide setting appropriate to your application -- for example, setting the initial array to the values stored in database.

#### Parameters

boolean | $overrideExisting | If set to true, the method call initializes the collection even if it is not empty

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getImages()

    getImages(\Propel\Runtime\ActiveQuery\Criteria $criteria, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\Collection|\Thelia\Model\Image[]

Gets an array of ChildImage objects which contain a foreign key that references this object.

If the $criteria is not null, it is used to always fetch the results from the database. Otherwise the results are fetched from the database the first time, then cached. Next time the same method is called without $criteria, the cached collection is returned. If this ChildCategory is new, it will return an empty collection or the current collection; the criteria is ignored on a new object.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | optional Criteria object to narrow the query
\Propel\Runtime\Connection\ConnectionInterface | $con | optional connection object

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

\Propel\Runtime\Collection\Collection|\Thelia\Model\Image[] —

List of ChildImage objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setImages()

    setImages(\Propel\Runtime\Collection\Collection $images, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Category

Sets a collection of Image objects related by a one-to-many relationship to the current object.

It will also schedule objects for deletion based on a diff between old objects (aka persisted) and new objects from the given Propel collection.

#### Parameters

\Propel\Runtime\Collection\Collection | $images | A Propel collection.
\Propel\Runtime\Connection\ConnectionInterface | $con | Optional connection object

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### countImages()

    countImages(\Propel\Runtime\ActiveQuery\Criteria $criteria, boolean $distinct, \Propel\Runtime\Connection\ConnectionInterface $con) : int

Returns the number of related Image objects.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria |
boolean | $distinct |
\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

int —

Count of related Image objects.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### addImage()

    addImage(\Thelia\Model\Image $l) : \Thelia\Model\Category

Method called to associate a ChildImage object to this object through the ChildImage foreign key attribute.

#### Parameters

\Thelia\Model\Image | $l | ChildImage

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### removeImage()

    removeImage(\Thelia\Model\Base\Image $image) : \Thelia\Model\Category

#### Parameters

\Thelia\Model\Base\Image | $image | The image object to remove.

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getImagesJoinProduct()

    getImagesJoinProduct(\Propel\Runtime\ActiveQuery\Criteria $criteria, \Propel\Runtime\Connection\ConnectionInterface $con, string $joinBehavior) : \Propel\Runtime\Collection\Collection|\Thelia\Model\Image[]

If this collection has already been initialized with an identical criteria, it returns the collection.

Otherwise if this Category is new, it will return an empty collection; or if this Category has previously been saved, it will retrieve related Images from storage.

This method is protected by default in order to keep the public api reasonable. You can provide public methods for those you actually need in Category.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | optional Criteria object to narrow the query
\Propel\Runtime\Connection\ConnectionInterface | $con | optional connection object
string | $joinBehavior | optional join type to use (defaults to Criteria::LEFT_JOIN)

#### Returns

\Propel\Runtime\Collection\Collection|\Thelia\Model\Image[] —

List of ChildImage objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getImagesJoinContent()

    getImagesJoinContent(\Propel\Runtime\ActiveQuery\Criteria $criteria, \Propel\Runtime\Connection\ConnectionInterface $con, string $joinBehavior) : \Propel\Runtime\Collection\Collection|\Thelia\Model\Image[]

If this collection has already been initialized with an identical criteria, it returns the collection.

Otherwise if this Category is new, it will return an empty collection; or if this Category has previously been saved, it will retrieve related Images from storage.

This method is protected by default in order to keep the public api reasonable. You can provide public methods for those you actually need in Category.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | optional Criteria object to narrow the query
\Propel\Runtime\Connection\ConnectionInterface | $con | optional connection object
string | $joinBehavior | optional join type to use (defaults to Criteria::LEFT_JOIN)

#### Returns

\Propel\Runtime\Collection\Collection|\Thelia\Model\Image[] —

List of ChildImage objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getImagesJoinFolder()

    getImagesJoinFolder(\Propel\Runtime\ActiveQuery\Criteria $criteria, \Propel\Runtime\Connection\ConnectionInterface $con, string $joinBehavior) : \Propel\Runtime\Collection\Collection|\Thelia\Model\Image[]

If this collection has already been initialized with an identical criteria, it returns the collection.

Otherwise if this Category is new, it will return an empty collection; or if this Category has previously been saved, it will retrieve related Images from storage.

This method is protected by default in order to keep the public api reasonable. You can provide public methods for those you actually need in Category.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | optional Criteria object to narrow the query
\Propel\Runtime\Connection\ConnectionInterface | $con | optional connection object
string | $joinBehavior | optional join type to use (defaults to Criteria::LEFT_JOIN)

#### Returns

\Propel\Runtime\Collection\Collection|\Thelia\Model\Image[] —

List of ChildImage objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### clearDocuments()

    clearDocuments() : void

Clears out the collDocuments collection

This does not modify the database; however, it will remove any associated objects, causing them to be refetched by subsequent calls to accessor method.

#

Inherited from
  \Thelia\Model\Base\Category
See also

## Tags

None found

### resetPartialDocuments()

    resetPartialDocuments( $v)

Reset is the collDocuments collection loaded partially.

#### Parameters

| $v |

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### initDocuments()

    initDocuments(boolean $overrideExisting) : void

Initializes the collDocuments collection.

By default this just sets the collDocuments collection to an empty array (like clearcollDocuments()); however, you may wish to override this method in your stub class to provide setting appropriate to your application -- for example, setting the initial array to the values stored in database.

#### Parameters

boolean | $overrideExisting | If set to true, the method call initializes the collection even if it is not empty

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getDocuments()

    getDocuments(\Propel\Runtime\ActiveQuery\Criteria $criteria, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\Collection|\Thelia\Model\Document[]

Gets an array of ChildDocument objects which contain a foreign key that references this object.

If the $criteria is not null, it is used to always fetch the results from the database. Otherwise the results are fetched from the database the first time, then cached. Next time the same method is called without $criteria, the cached collection is returned. If this ChildCategory is new, it will return an empty collection or the current collection; the criteria is ignored on a new object.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | optional Criteria object to narrow the query
\Propel\Runtime\Connection\ConnectionInterface | $con | optional connection object

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

\Propel\Runtime\Collection\Collection|\Thelia\Model\Document[] —

List of ChildDocument objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setDocuments()

    setDocuments(\Propel\Runtime\Collection\Collection $documents, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Category

Sets a collection of Document objects related by a one-to-many relationship to the current object.

It will also schedule objects for deletion based on a diff between old objects (aka persisted) and new objects from the given Propel collection.

#### Parameters

\Propel\Runtime\Collection\Collection | $documents | A Propel collection.
\Propel\Runtime\Connection\ConnectionInterface | $con | Optional connection object

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### countDocuments()

    countDocuments(\Propel\Runtime\ActiveQuery\Criteria $criteria, boolean $distinct, \Propel\Runtime\Connection\ConnectionInterface $con) : int

Returns the number of related Document objects.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria |
boolean | $distinct |
\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

int —

Count of related Document objects.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### addDocument()

    addDocument(\Thelia\Model\Document $l) : \Thelia\Model\Category

Method called to associate a ChildDocument object to this object through the ChildDocument foreign key attribute.

#### Parameters

\Thelia\Model\Document | $l | ChildDocument

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### removeDocument()

    removeDocument(\Thelia\Model\Base\Document $document) : \Thelia\Model\Category

#### Parameters

\Thelia\Model\Base\Document | $document | The document object to remove.

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getDocumentsJoinProduct()

    getDocumentsJoinProduct(\Propel\Runtime\ActiveQuery\Criteria $criteria, \Propel\Runtime\Connection\ConnectionInterface $con, string $joinBehavior) : \Propel\Runtime\Collection\Collection|\Thelia\Model\Document[]

If this collection has already been initialized with an identical criteria, it returns the collection.

Otherwise if this Category is new, it will return an empty collection; or if this Category has previously been saved, it will retrieve related Documents from storage.

This method is protected by default in order to keep the public api reasonable. You can provide public methods for those you actually need in Category.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | optional Criteria object to narrow the query
\Propel\Runtime\Connection\ConnectionInterface | $con | optional connection object
string | $joinBehavior | optional join type to use (defaults to Criteria::LEFT_JOIN)

#### Returns

\Propel\Runtime\Collection\Collection|\Thelia\Model\Document[] —

List of ChildDocument objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getDocumentsJoinContent()

    getDocumentsJoinContent(\Propel\Runtime\ActiveQuery\Criteria $criteria, \Propel\Runtime\Connection\ConnectionInterface $con, string $joinBehavior) : \Propel\Runtime\Collection\Collection|\Thelia\Model\Document[]

If this collection has already been initialized with an identical criteria, it returns the collection.

Otherwise if this Category is new, it will return an empty collection; or if this Category has previously been saved, it will retrieve related Documents from storage.

This method is protected by default in order to keep the public api reasonable. You can provide public methods for those you actually need in Category.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | optional Criteria object to narrow the query
\Propel\Runtime\Connection\ConnectionInterface | $con | optional connection object
string | $joinBehavior | optional join type to use (defaults to Criteria::LEFT_JOIN)

#### Returns

\Propel\Runtime\Collection\Collection|\Thelia\Model\Document[] —

List of ChildDocument objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getDocumentsJoinFolder()

    getDocumentsJoinFolder(\Propel\Runtime\ActiveQuery\Criteria $criteria, \Propel\Runtime\Connection\ConnectionInterface $con, string $joinBehavior) : \Propel\Runtime\Collection\Collection|\Thelia\Model\Document[]

If this collection has already been initialized with an identical criteria, it returns the collection.

Otherwise if this Category is new, it will return an empty collection; or if this Category has previously been saved, it will retrieve related Documents from storage.

This method is protected by default in order to keep the public api reasonable. You can provide public methods for those you actually need in Category.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | optional Criteria object to narrow the query
\Propel\Runtime\Connection\ConnectionInterface | $con | optional connection object
string | $joinBehavior | optional join type to use (defaults to Criteria::LEFT_JOIN)

#### Returns

\Propel\Runtime\Collection\Collection|\Thelia\Model\Document[] —

List of ChildDocument objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### clearRewritings()

    clearRewritings() : void

Clears out the collRewritings collection

This does not modify the database; however, it will remove any associated objects, causing them to be refetched by subsequent calls to accessor method.

#

Inherited from
  \Thelia\Model\Base\Category
See also

## Tags

None found

### resetPartialRewritings()

    resetPartialRewritings( $v)

Reset is the collRewritings collection loaded partially.

#### Parameters

| $v |

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### initRewritings()

    initRewritings(boolean $overrideExisting) : void

Initializes the collRewritings collection.

By default this just sets the collRewritings collection to an empty array (like clearcollRewritings()); however, you may wish to override this method in your stub class to provide setting appropriate to your application -- for example, setting the initial array to the values stored in database.

#### Parameters

boolean | $overrideExisting | If set to true, the method call initializes the collection even if it is not empty

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getRewritings()

    getRewritings(\Propel\Runtime\ActiveQuery\Criteria $criteria, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\Collection|\Thelia\Model\Rewriting[]

Gets an array of ChildRewriting objects which contain a foreign key that references this object.

If the $criteria is not null, it is used to always fetch the results from the database. Otherwise the results are fetched from the database the first time, then cached. Next time the same method is called without $criteria, the cached collection is returned. If this ChildCategory is new, it will return an empty collection or the current collection; the criteria is ignored on a new object.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | optional Criteria object to narrow the query
\Propel\Runtime\Connection\ConnectionInterface | $con | optional connection object

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

\Propel\Runtime\Collection\Collection|\Thelia\Model\Rewriting[] —

List of ChildRewriting objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setRewritings()

    setRewritings(\Propel\Runtime\Collection\Collection $rewritings, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Category

Sets a collection of Rewriting objects related by a one-to-many relationship to the current object.

It will also schedule objects for deletion based on a diff between old objects (aka persisted) and new objects from the given Propel collection.

#### Parameters

\Propel\Runtime\Collection\Collection | $rewritings | A Propel collection.
\Propel\Runtime\Connection\ConnectionInterface | $con | Optional connection object

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### countRewritings()

    countRewritings(\Propel\Runtime\ActiveQuery\Criteria $criteria, boolean $distinct, \Propel\Runtime\Connection\ConnectionInterface $con) : int

Returns the number of related Rewriting objects.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria |
boolean | $distinct |
\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

int —

Count of related Rewriting objects.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### addRewriting()

    addRewriting(\Thelia\Model\Rewriting $l) : \Thelia\Model\Category

Method called to associate a ChildRewriting object to this object through the ChildRewriting foreign key attribute.

#### Parameters

\Thelia\Model\Rewriting | $l | ChildRewriting

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### removeRewriting()

    removeRewriting(\Thelia\Model\Base\Rewriting $rewriting) : \Thelia\Model\Category

#### Parameters

\Thelia\Model\Base\Rewriting | $rewriting | The rewriting object to remove.

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getRewritingsJoinProduct()

    getRewritingsJoinProduct(\Propel\Runtime\ActiveQuery\Criteria $criteria, \Propel\Runtime\Connection\ConnectionInterface $con, string $joinBehavior) : \Propel\Runtime\Collection\Collection|\Thelia\Model\Rewriting[]

If this collection has already been initialized with an identical criteria, it returns the collection.

Otherwise if this Category is new, it will return an empty collection; or if this Category has previously been saved, it will retrieve related Rewritings from storage.

This method is protected by default in order to keep the public api reasonable. You can provide public methods for those you actually need in Category.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | optional Criteria object to narrow the query
\Propel\Runtime\Connection\ConnectionInterface | $con | optional connection object
string | $joinBehavior | optional join type to use (defaults to Criteria::LEFT_JOIN)

#### Returns

\Propel\Runtime\Collection\Collection|\Thelia\Model\Rewriting[] —

List of ChildRewriting objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getRewritingsJoinFolder()

    getRewritingsJoinFolder(\Propel\Runtime\ActiveQuery\Criteria $criteria, \Propel\Runtime\Connection\ConnectionInterface $con, string $joinBehavior) : \Propel\Runtime\Collection\Collection|\Thelia\Model\Rewriting[]

If this collection has already been initialized with an identical criteria, it returns the collection.

Otherwise if this Category is new, it will return an empty collection; or if this Category has previously been saved, it will retrieve related Rewritings from storage.

This method is protected by default in order to keep the public api reasonable. You can provide public methods for those you actually need in Category.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | optional Criteria object to narrow the query
\Propel\Runtime\Connection\ConnectionInterface | $con | optional connection object
string | $joinBehavior | optional join type to use (defaults to Criteria::LEFT_JOIN)

#### Returns

\Propel\Runtime\Collection\Collection|\Thelia\Model\Rewriting[] —

List of ChildRewriting objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getRewritingsJoinContent()

    getRewritingsJoinContent(\Propel\Runtime\ActiveQuery\Criteria $criteria, \Propel\Runtime\Connection\ConnectionInterface $con, string $joinBehavior) : \Propel\Runtime\Collection\Collection|\Thelia\Model\Rewriting[]

If this collection has already been initialized with an identical criteria, it returns the collection.

Otherwise if this Category is new, it will return an empty collection; or if this Category has previously been saved, it will retrieve related Rewritings from storage.

This method is protected by default in order to keep the public api reasonable. You can provide public methods for those you actually need in Category.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | optional Criteria object to narrow the query
\Propel\Runtime\Connection\ConnectionInterface | $con | optional connection object
string | $joinBehavior | optional join type to use (defaults to Criteria::LEFT_JOIN)

#### Returns

\Propel\Runtime\Collection\Collection|\Thelia\Model\Rewriting[] —

List of ChildRewriting objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### clearCategoryI18ns()

    clearCategoryI18ns() : void

Clears out the collCategoryI18ns collection

This does not modify the database; however, it will remove any associated objects, causing them to be refetched by subsequent calls to accessor method.

#

Inherited from
  \Thelia\Model\Base\Category
See also

## Tags

None found

### resetPartialCategoryI18ns()

    resetPartialCategoryI18ns( $v)

Reset is the collCategoryI18ns collection loaded partially.

#### Parameters

| $v |

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### initCategoryI18ns()

    initCategoryI18ns(boolean $overrideExisting) : void

Initializes the collCategoryI18ns collection.

By default this just sets the collCategoryI18ns collection to an empty array (like clearcollCategoryI18ns()); however, you may wish to override this method in your stub class to provide setting appropriate to your application -- for example, setting the initial array to the values stored in database.

#### Parameters

boolean | $overrideExisting | If set to true, the method call initializes the collection even if it is not empty

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getCategoryI18ns()

    getCategoryI18ns(\Propel\Runtime\ActiveQuery\Criteria $criteria, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\Collection|\Thelia\Model\CategoryI18n[]

Gets an array of ChildCategoryI18n objects which contain a foreign key that references this object.

If the $criteria is not null, it is used to always fetch the results from the database. Otherwise the results are fetched from the database the first time, then cached. Next time the same method is called without $criteria, the cached collection is returned. If this ChildCategory is new, it will return an empty collection or the current collection; the criteria is ignored on a new object.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | optional Criteria object to narrow the query
\Propel\Runtime\Connection\ConnectionInterface | $con | optional connection object

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

\Propel\Runtime\Collection\Collection|\Thelia\Model\CategoryI18n[] —

List of ChildCategoryI18n objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setCategoryI18ns()

    setCategoryI18ns(\Propel\Runtime\Collection\Collection $categoryI18ns, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Category

Sets a collection of CategoryI18n objects related by a one-to-many relationship to the current object.

It will also schedule objects for deletion based on a diff between old objects (aka persisted) and new objects from the given Propel collection.

#### Parameters

\Propel\Runtime\Collection\Collection | $categoryI18ns | A Propel collection.
\Propel\Runtime\Connection\ConnectionInterface | $con | Optional connection object

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### countCategoryI18ns()

    countCategoryI18ns(\Propel\Runtime\ActiveQuery\Criteria $criteria, boolean $distinct, \Propel\Runtime\Connection\ConnectionInterface $con) : int

Returns the number of related CategoryI18n objects.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria |
boolean | $distinct |
\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

int —

Count of related CategoryI18n objects.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### addCategoryI18n()

    addCategoryI18n(\Thelia\Model\CategoryI18n $l) : \Thelia\Model\Category

Method called to associate a ChildCategoryI18n object to this object through the ChildCategoryI18n foreign key attribute.

#### Parameters

\Thelia\Model\CategoryI18n | $l | ChildCategoryI18n

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### removeCategoryI18n()

    removeCategoryI18n(\Thelia\Model\Base\CategoryI18n $categoryI18n) : \Thelia\Model\Category

#### Parameters

\Thelia\Model\Base\CategoryI18n | $categoryI18n | The categoryI18n object to remove.

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### clearCategoryVersions()

    clearCategoryVersions() : void

Clears out the collCategoryVersions collection

This does not modify the database; however, it will remove any associated objects, causing them to be refetched by subsequent calls to accessor method.

#

Inherited from
  \Thelia\Model\Base\Category
See also

## Tags

None found

### resetPartialCategoryVersions()

    resetPartialCategoryVersions( $v)

Reset is the collCategoryVersions collection loaded partially.

#### Parameters

| $v |

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### initCategoryVersions()

    initCategoryVersions(boolean $overrideExisting) : void

Initializes the collCategoryVersions collection.

By default this just sets the collCategoryVersions collection to an empty array (like clearcollCategoryVersions()); however, you may wish to override this method in your stub class to provide setting appropriate to your application -- for example, setting the initial array to the values stored in database.

#### Parameters

boolean | $overrideExisting | If set to true, the method call initializes the collection even if it is not empty

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getCategoryVersions()

    getCategoryVersions(\Propel\Runtime\ActiveQuery\Criteria $criteria, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\Collection|\Thelia\Model\CategoryVersion[]

Gets an array of ChildCategoryVersion objects which contain a foreign key that references this object.

If the $criteria is not null, it is used to always fetch the results from the database. Otherwise the results are fetched from the database the first time, then cached. Next time the same method is called without $criteria, the cached collection is returned. If this ChildCategory is new, it will return an empty collection or the current collection; the criteria is ignored on a new object.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | optional Criteria object to narrow the query
\Propel\Runtime\Connection\ConnectionInterface | $con | optional connection object

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

\Propel\Runtime\Collection\Collection|\Thelia\Model\CategoryVersion[] —

List of ChildCategoryVersion objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setCategoryVersions()

    setCategoryVersions(\Propel\Runtime\Collection\Collection $categoryVersions, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Category

Sets a collection of CategoryVersion objects related by a one-to-many relationship to the current object.

It will also schedule objects for deletion based on a diff between old objects (aka persisted) and new objects from the given Propel collection.

#### Parameters

\Propel\Runtime\Collection\Collection | $categoryVersions | A Propel collection.
\Propel\Runtime\Connection\ConnectionInterface | $con | Optional connection object

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### countCategoryVersions()

    countCategoryVersions(\Propel\Runtime\ActiveQuery\Criteria $criteria, boolean $distinct, \Propel\Runtime\Connection\ConnectionInterface $con) : int

Returns the number of related CategoryVersion objects.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria |
boolean | $distinct |
\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

int —

Count of related CategoryVersion objects.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### addCategoryVersion()

    addCategoryVersion(\Thelia\Model\CategoryVersion $l) : \Thelia\Model\Category

Method called to associate a ChildCategoryVersion object to this object through the ChildCategoryVersion foreign key attribute.

#### Parameters

\Thelia\Model\CategoryVersion | $l | ChildCategoryVersion

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### removeCategoryVersion()

    removeCategoryVersion(\Thelia\Model\Base\CategoryVersion $categoryVersion) : \Thelia\Model\Category

#### Parameters

\Thelia\Model\Base\CategoryVersion | $categoryVersion | The categoryVersion object to remove.

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### clearProducts()

    clearProducts() : void

Clears out the collProducts collection

This does not modify the database; however, it will remove any associated objects, causing them to be refetched by subsequent calls to accessor method.

#

Inherited from
  \Thelia\Model\Base\Category
See also

## Tags

None found

### initProducts()

    initProducts() : void

Initializes the collProducts collection.

By default this just sets the collProducts collection to an empty collection (like clearProducts()); however, you may wish to override this method in your stub class to provide setting appropriate to your application -- for example, setting the initial array to the values stored in database.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getProducts()

    getProducts(\Propel\Runtime\ActiveQuery\Criteria $criteria, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|\Thelia\Model\Product[]

Gets a collection of ChildProduct objects related by a many-to-many relationship to the current object by way of the product_category cross-reference table.

If the $criteria is not null, it is used to always fetch the results from the database. Otherwise the results are fetched from the database the first time, then cached. Next time the same method is called without $criteria, the cached collection is returned. If this ChildCategory is new, it will return an empty collection or the current collection; the criteria is ignored on a new object.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional query object to filter the query
\Propel\Runtime\Connection\ConnectionInterface | $con | Optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|\Thelia\Model\Product[] —

List of ChildProduct objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setProducts()

    setProducts(\Propel\Runtime\Collection\Collection $products, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Category

Sets a collection of Product objects related by a many-to-many relationship to the current object by way of the product_category cross-reference table.

It will also schedule objects for deletion based on a diff between old objects (aka persisted) and new objects from the given Propel collection.

#### Parameters

\Propel\Runtime\Collection\Collection | $products | A Propel collection.
\Propel\Runtime\Connection\ConnectionInterface | $con | Optional connection object

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### countProducts()

    countProducts(\Propel\Runtime\ActiveQuery\Criteria $criteria, boolean $distinct, \Propel\Runtime\Connection\ConnectionInterface $con) : int

Gets the number of ChildProduct objects related by a many-to-many relationship to the current object by way of the product_category cross-reference table.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional query object to filter the query
boolean | $distinct | Set to true to force count distinct
\Propel\Runtime\Connection\ConnectionInterface | $con | Optional connection object

#### Returns

int —

the number of related ChildProduct objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### addProduct()

    addProduct(\Thelia\Model\Product $product) : \Thelia\Model\Category

Associate a ChildProduct object to this object through the product_category cross reference table.

#### Parameters

\Thelia\Model\Product | $product | The ChildProductCategory object to relate

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### removeProduct()

    removeProduct(\Thelia\Model\Product $product) : \Thelia\Model\Category

Remove a ChildProduct object to this object through the product_category cross reference table.

#### Parameters

\Thelia\Model\Product | $product | The ChildProductCategory object to relate

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### clearFeatures()

    clearFeatures() : void

Clears out the collFeatures collection

This does not modify the database; however, it will remove any associated objects, causing them to be refetched by subsequent calls to accessor method.

#

Inherited from
  \Thelia\Model\Base\Category
See also

## Tags

None found

### initFeatures()

    initFeatures() : void

Initializes the collFeatures collection.

By default this just sets the collFeatures collection to an empty collection (like clearFeatures()); however, you may wish to override this method in your stub class to provide setting appropriate to your application -- for example, setting the initial array to the values stored in database.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getFeatures()

    getFeatures(\Propel\Runtime\ActiveQuery\Criteria $criteria, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|\Thelia\Model\Feature[]

Gets a collection of ChildFeature objects related by a many-to-many relationship to the current object by way of the feature_category cross-reference table.

If the $criteria is not null, it is used to always fetch the results from the database. Otherwise the results are fetched from the database the first time, then cached. Next time the same method is called without $criteria, the cached collection is returned. If this ChildCategory is new, it will return an empty collection or the current collection; the criteria is ignored on a new object.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional query object to filter the query
\Propel\Runtime\Connection\ConnectionInterface | $con | Optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|\Thelia\Model\Feature[] —

List of ChildFeature objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setFeatures()

    setFeatures(\Propel\Runtime\Collection\Collection $features, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Category

Sets a collection of Feature objects related by a many-to-many relationship to the current object by way of the feature_category cross-reference table.

It will also schedule objects for deletion based on a diff between old objects (aka persisted) and new objects from the given Propel collection.

#### Parameters

\Propel\Runtime\Collection\Collection | $features | A Propel collection.
\Propel\Runtime\Connection\ConnectionInterface | $con | Optional connection object

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### countFeatures()

    countFeatures(\Propel\Runtime\ActiveQuery\Criteria $criteria, boolean $distinct, \Propel\Runtime\Connection\ConnectionInterface $con) : int

Gets the number of ChildFeature objects related by a many-to-many relationship to the current object by way of the feature_category cross-reference table.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional query object to filter the query
boolean | $distinct | Set to true to force count distinct
\Propel\Runtime\Connection\ConnectionInterface | $con | Optional connection object

#### Returns

int —

the number of related ChildFeature objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### addFeature()

    addFeature(\Thelia\Model\Feature $feature) : \Thelia\Model\Category

Associate a ChildFeature object to this object through the feature_category cross reference table.

#### Parameters

\Thelia\Model\Feature | $feature | The ChildFeatureCategory object to relate

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### removeFeature()

    removeFeature(\Thelia\Model\Feature $feature) : \Thelia\Model\Category

Remove a ChildFeature object to this object through the feature_category cross reference table.

#### Parameters

\Thelia\Model\Feature | $feature | The ChildFeatureCategory object to relate

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### clearAttributes()

    clearAttributes() : void

Clears out the collAttributes collection

This does not modify the database; however, it will remove any associated objects, causing them to be refetched by subsequent calls to accessor method.

#

Inherited from
  \Thelia\Model\Base\Category
See also

## Tags

None found

### initAttributes()

    initAttributes() : void

Initializes the collAttributes collection.

By default this just sets the collAttributes collection to an empty collection (like clearAttributes()); however, you may wish to override this method in your stub class to provide setting appropriate to your application -- for example, setting the initial array to the values stored in database.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getAttributes()

    getAttributes(\Propel\Runtime\ActiveQuery\Criteria $criteria, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|\Thelia\Model\Attribute[]

Gets a collection of ChildAttribute objects related by a many-to-many relationship to the current object by way of the attribute_category cross-reference table.

If the $criteria is not null, it is used to always fetch the results from the database. Otherwise the results are fetched from the database the first time, then cached. Next time the same method is called without $criteria, the cached collection is returned. If this ChildCategory is new, it will return an empty collection or the current collection; the criteria is ignored on a new object.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional query object to filter the query
\Propel\Runtime\Connection\ConnectionInterface | $con | Optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|\Thelia\Model\Attribute[] —

List of ChildAttribute objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setAttributes()

    setAttributes(\Propel\Runtime\Collection\Collection $attributes, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Category

Sets a collection of Attribute objects related by a many-to-many relationship to the current object by way of the attribute_category cross-reference table.

It will also schedule objects for deletion based on a diff between old objects (aka persisted) and new objects from the given Propel collection.

#### Parameters

\Propel\Runtime\Collection\Collection | $attributes | A Propel collection.
\Propel\Runtime\Connection\ConnectionInterface | $con | Optional connection object

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### countAttributes()

    countAttributes(\Propel\Runtime\ActiveQuery\Criteria $criteria, boolean $distinct, \Propel\Runtime\Connection\ConnectionInterface $con) : int

Gets the number of ChildAttribute objects related by a many-to-many relationship to the current object by way of the attribute_category cross-reference table.

#### Parameters

\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional query object to filter the query
boolean | $distinct | Set to true to force count distinct
\Propel\Runtime\Connection\ConnectionInterface | $con | Optional connection object

#### Returns

int —

the number of related ChildAttribute objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### addAttribute()

    addAttribute(\Thelia\Model\Attribute $attribute) : \Thelia\Model\Category

Associate a ChildAttribute object to this object through the attribute_category cross reference table.

#### Parameters

\Thelia\Model\Attribute | $attribute | The ChildAttributeCategory object to relate

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### removeAttribute()

    removeAttribute(\Thelia\Model\Attribute $attribute) : \Thelia\Model\Category

Remove a ChildAttribute object to this object through the attribute_category cross reference table.

#### Parameters

\Thelia\Model\Attribute | $attribute | The ChildAttributeCategory object to relate

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### clear()

    clear()

Clears the current object and sets all attributes to their default values

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### clearAllReferences()

    clearAllReferences(boolean $deep)

Resets all references to other model objects or collections of model objects.

This method is a user-space workaround for PHP's inability to garbage collect objects with circular references (even in PHP 5.3). This is currently necessary when using Propel in certain daemon or large-volume/high-memory operations.

#### Parameters

boolean | $deep | Whether to also clear the references on all referrer objects.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### __toString()

    __toString() : string

Return the string representation of this object

#### Returns

string

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setLocale()

    setLocale(string $locale) : \Thelia\Model\Category

Sets the locale for translations

#### Parameters

string | $locale | Locale to use for the translation, e.g. 'fr_FR'

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getLocale()

    getLocale() : string

Gets the locale for translations

#### Returns

string —

$locale Locale to use for the translation, e.g. 'fr_FR'

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getTranslation()

    getTranslation(string $locale, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\CategoryI18n

Returns the current translation for a given locale

#### Parameters

string | $locale | Locale to use for the translation, e.g. 'fr_FR'
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\CategoryI18n

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### removeTranslation()

    removeTranslation(string $locale, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Category

Remove the translation for a given locale

#### Parameters

string | $locale | Locale to use for the translation, e.g. 'fr_FR'
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getCurrentTranslation()

    getCurrentTranslation(\Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\CategoryI18n

Returns the current translation

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\CategoryI18n

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getTitle()

    getTitle() : string

Get the [title] column value.

#### Returns

string

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setTitle()

    setTitle(string $v) : \Thelia\Model\CategoryI18n

Set the value of [title] column.

#### Parameters

string | $v | new value

#### Returns

\Thelia\Model\CategoryI18n —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getDescription()

    getDescription() : string

Get the [description] column value.

#### Returns

string

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setDescription()

    setDescription(string $v) : \Thelia\Model\CategoryI18n

Set the value of [description] column.

#### Parameters

string | $v | new value

#### Returns

\Thelia\Model\CategoryI18n —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getChapo()

    getChapo() : string

Get the [chapo] column value.

#### Returns

string

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setChapo()

    setChapo(string $v) : \Thelia\Model\CategoryI18n

Set the value of [chapo] column.

#### Parameters

string | $v | new value

#### Returns

\Thelia\Model\CategoryI18n —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getPostscriptum()

    getPostscriptum() : string

Get the [postscriptum] column value.

#### Returns

string

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### setPostscriptum()

    setPostscriptum(string $v) : \Thelia\Model\CategoryI18n

Set the value of [postscriptum] column.

#### Parameters

string | $v | new value

#### Returns

\Thelia\Model\CategoryI18n —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### enforceVersioning()

    enforceVersioning() : \Thelia\Model\Category

Enforce a new Version of this object upon next save.

#### Returns

\Thelia\Model\Category

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### isVersioningNecessary()

    isVersioningNecessary( $con) : boolean

Checks whether the current state must be recorded as a version

#### Parameters

| $con |

#### Returns

boolean

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### addVersion()

    addVersion(\Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\CategoryVersion

Creates a version of the current object and saves it.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

\Thelia\Model\CategoryVersion —

A version object

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### toVersion()

    toVersion(integer $versionNumber, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Category

Sets the properties of the current object to the value they had at a specific version

#### Parameters

integer | $versionNumber | The version number to read
\Propel\Runtime\Connection\ConnectionInterface | $con | The connection to use

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### populateFromVersion()

    populateFromVersion(\Thelia\Model\CategoryVersion $version, \Propel\Runtime\Connection\ConnectionInterface $con, array $loadedObjects) : \Thelia\Model\Category

Sets the properties of the current object to the value they had at a specific version

#### Parameters

\Thelia\Model\CategoryVersion | $version | The version object to use
\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use
array | $loadedObjects | objects that been loaded in a chain of populateFromVersion calls on referrer or fk objects.

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getLastVersionNumber()

    getLastVersionNumber(\Propel\Runtime\Connection\ConnectionInterface $con) : integer

Gets the latest persisted version number for the current object

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

integer

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### isLastVersion()

    isLastVersion(\Propel\Runtime\Connection\ConnectionInterface $con) : Boolean

Checks whether the current object is the latest one

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

Boolean

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getOneVersion()

    getOneVersion(integer $versionNumber, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\CategoryVersion

Retrieves a version object for this entity and a version number

#### Parameters

integer | $versionNumber | The version number to read
\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

\Thelia\Model\CategoryVersion —

A version object

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getAllVersions()

    getAllVersions(\Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection

Gets all the versions of this object, in incremental order

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

\Propel\Runtime\Collection\ObjectCollection —

A list of ChildCategoryVersion objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### compareVersion()

    compareVersion(integer $versionNumber, string $keys, \Propel\Runtime\Connection\ConnectionInterface $con, array $ignoredColumns) : array

Compares the current object with another of its version.

`print_r($book->compareVersion(1)); => array( '1' => array('Title' => 'Book title at version 1'), '2' => array('Title' => 'Book title at version 2') );`

#### Parameters

integer | $versionNumber |
string | $keys | Main key used for the result diff (versions|columns)
\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use
array | $ignoredColumns | The columns to exclude from the diff.

#### Returns

array —

A list of differences

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### compareVersions()

    compareVersions(integer $fromVersionNumber, integer $toVersionNumber, string $keys, \Propel\Runtime\Connection\ConnectionInterface $con, array $ignoredColumns) : array

Compares two versions of the current object.

`print_r($book->compareVersions(1, 2)); => array( '1' => array('Title' => 'Book title at version 1'), '2' => array('Title' => 'Book title at version 2') );`

#### Parameters

integer | $fromVersionNumber |
integer | $toVersionNumber |
string | $keys | Main key used for the result diff (versions|columns)
\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use
array | $ignoredColumns | The columns to exclude from the diff.

#### Returns

array —

A list of differences

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### getLastVersions()

    getLastVersions(Integer $number,  $criteria,  $con) : \Thelia\Model\Base\PropelCollection|array

retrieve the last $number versions.

#### Parameters

Integer | $number | the number of record to return.
| $criteria |
| $con |

#### Returns

\Thelia\Model\Base\PropelCollection|array —

\Thelia\Model\CategoryVersion[] List of \Thelia\Model\CategoryVersion objects

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### keepUpdateDateUnchanged()

    keepUpdateDateUnchanged() : \Thelia\Model\Category

Mark the current object so that the update date doesn't get updated during next save

#### Returns

\Thelia\Model\Category —

The current object (for fluent API support)

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### preSave()

    preSave(\Propel\Runtime\Connection\ConnectionInterface $con) : boolean

Code to be run before persisting the object

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Returns

boolean

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### postSave()

    postSave(\Propel\Runtime\Connection\ConnectionInterface $con)

Code to be run after persisting the object

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con |

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### preInsert()

    preInsert(\Propel\Runtime\Connection\ConnectionInterface $con) : boolean

Code to be run before inserting to database

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Returns

boolean

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### postInsert()

    postInsert(\Propel\Runtime\Connection\ConnectionInterface $con)

Code to be run after inserting to database

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con |

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### preUpdate()

    preUpdate(\Propel\Runtime\Connection\ConnectionInterface $con) : boolean

Code to be run before updating the object in database

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Returns

boolean

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### postUpdate()

    postUpdate(\Propel\Runtime\Connection\ConnectionInterface $con)

Code to be run after updating the object in database

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con |

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### preDelete()

    preDelete(\Propel\Runtime\Connection\ConnectionInterface $con) : boolean

Code to be run before deleting the object in database

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Returns

boolean

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### postDelete()

    postDelete(\Propel\Runtime\Connection\ConnectionInterface $con)

Code to be run after deleting the object in database

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con |

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### __call()

    __call(string $name, mixed $params) : array|string

Derived method to catches calls to undefined methods.

Provides magic import/export method support (fromXML()/toXML(), fromYAML()/toYAML(), etc.). Allows to define default __call() behavior if you overwrite __call()

#### Parameters

string | $name |
mixed | $params |

#### Returns

array|string

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### log()

    log(string $msg, int $priority) : boolean

Logs a message using Propel::log().

#### Parameters

string | $msg |
int | $priority | One of the Propel::LOG_* logging levels

#### Returns

boolean

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### doSave()

    doSave(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs the work of inserting or updating the row in the database.

If the object is new, it inserts it; otherwise an update is performed. All related objects are also updated in this method.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Throws

\Propel\Runtime\Exception\PropelException

#### Returns

int —

The number of rows affected by this insert/update and any referring fk objects' save() operations.

#

Inherited from
  \Thelia\Model\Base\Category
See also

## Tags

None found

### doInsert()

    doInsert(\Propel\Runtime\Connection\ConnectionInterface $con)

Insert the row in the database.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Throws

\Propel\Runtime\Exception\PropelException

#

Inherited from
  \Thelia\Model\Base\Category
See also

## Tags

None found

### doUpdate()

    doUpdate(\Propel\Runtime\Connection\ConnectionInterface $con) : Integer

Update the row in the database.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con |

#### Returns

Integer —

Number of updated rows

#

Inherited from
  \Thelia\Model\Base\Category
See also

## Tags

None found

### doAddProductCategory()

    doAddProductCategory(\Thelia\Model\Base\ProductCategory $productCategory)

#### Parameters

\Thelia\Model\Base\ProductCategory | $productCategory | The productCategory object to add.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### doAddFeatureCategory()

    doAddFeatureCategory(\Thelia\Model\Base\FeatureCategory $featureCategory)

#### Parameters

\Thelia\Model\Base\FeatureCategory | $featureCategory | The featureCategory object to add.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### doAddAttributeCategory()

    doAddAttributeCategory(\Thelia\Model\Base\AttributeCategory $attributeCategory)

#### Parameters

\Thelia\Model\Base\AttributeCategory | $attributeCategory | The attributeCategory object to add.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### doAddContentAssoc()

    doAddContentAssoc(\Thelia\Model\Base\ContentAssoc $contentAssoc)

#### Parameters

\Thelia\Model\Base\ContentAssoc | $contentAssoc | The contentAssoc object to add.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### doAddImage()

    doAddImage(\Thelia\Model\Base\Image $image)

#### Parameters

\Thelia\Model\Base\Image | $image | The image object to add.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### doAddDocument()

    doAddDocument(\Thelia\Model\Base\Document $document)

#### Parameters

\Thelia\Model\Base\Document | $document | The document object to add.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### doAddRewriting()

    doAddRewriting(\Thelia\Model\Base\Rewriting $rewriting)

#### Parameters

\Thelia\Model\Base\Rewriting | $rewriting | The rewriting object to add.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### doAddCategoryI18n()

    doAddCategoryI18n(\Thelia\Model\Base\CategoryI18n $categoryI18n)

#### Parameters

\Thelia\Model\Base\CategoryI18n | $categoryI18n | The categoryI18n object to add.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### doAddCategoryVersion()

    doAddCategoryVersion(\Thelia\Model\Base\CategoryVersion $categoryVersion)

#### Parameters

\Thelia\Model\Base\CategoryVersion | $categoryVersion | The categoryVersion object to add.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### doAddProduct()

    doAddProduct(\Thelia\Model\Base\Product $product)

#### Parameters

\Thelia\Model\Base\Product | $product | The product object to add.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### doAddFeature()

    doAddFeature(\Thelia\Model\Base\Feature $feature)

#### Parameters

\Thelia\Model\Base\Feature | $feature | The feature object to add.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### doAddAttribute()

    doAddAttribute(\Thelia\Model\Base\Attribute $attribute)

#### Parameters

\Thelia\Model\Base\Attribute | $attribute | The attribute object to add.

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### computeDiff()

    computeDiff(array $fromVersion, array $toVersion, string $keys, array $ignoredColumns) : array

Computes the diff between two versions.

`print_r($book->computeDiff(1, 2)); => array( '1' => array('Title' => 'Book title at version 1'), '2' => array('Title' => 'Book title at version 2') );`

#### Parameters

array | $fromVersion | An array representing the original version.
array | $toVersion | An array representing the destination version.
string | $keys | Main key used for the result diff (versions|columns).
array | $ignoredColumns | The columns to exclude from the diff.

#### Returns

array —

A list of differences

#

Inherited from
  \Thelia\Model\Base\Category

## Tags

None found

### Category.php